Debian Bug report logs - #650268
dma: invalid Received: line syntax

version graph

Package: dma; Maintainer for dma is Arno Töll <arno@debian.org>; Source for dma is src:dma.

Reported by: Miquel van Smoorenburg <miquels@cistron.nl>

Date: Mon, 28 Nov 2011 11:27:02 UTC

Severity: normal

Tags: patch

Found in version dma/0.0.2010.06.17-6

Fixed in version dma/0.0.2010.06.17-12

Done: Peter Pentchev <roam@ringlet.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Peter Pentchev <roam@ringlet.net>:
Bug#650268; Package dma. (Mon, 28 Nov 2011 11:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miquel van Smoorenburg <miquels@cistron.nl>:
New Bug report received and forwarded. Copy sent to Peter Pentchev <roam@ringlet.net>. (Mon, 28 Nov 2011 11:27:28 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Miquel van Smoorenburg <miquels@cistron.nl>
To: submit@bugs.debian.org
Subject: dma: invalid Received: line syntax
Date: Mon, 28 Nov 2011 12:12:05 +0100
Package: dma
Version: 0.0.2010.06.17-6
Severity: normal

dma adds an invalid Received: line to outgoing mail:

Received: from news (uid 9)
	(envelope-from news@myserver.xs4all.nl)
	id 1a8d7
	by myserver.xs4all.nl (DragonFly Mail Agent)
	Sat, 19 Nov 2011 03:40:01 +0100

sendmail does this, spot the difference:

Received: (from root@localhost)
	by someserver.xs4all.nl (8.13.8/8.13.8/Submit) id pASB00Nq034531;
	Mon, 28 Nov 2011 12:00:00 +0100 (CET)
	(envelope-from root)

According to RFC2822, the syntax of the Received: line should be:

received        =       "Received:" name-val-list ";" date-time CRLF

As you can see, the semi-colon between the name-val-list
and date-time is missing in dma's received line.

This makes (anti-spam) systems that parse Received: line headers
complain. It might also add to the "spamminess" score of mail
sent by dma.

It should probably look more like:

Received: from news (uid 9)
	by myserver.xs4all.nl (DragonFly Mail Agent) id 1a8d7;
	Sat, 19 Nov 2011 03:40:01 +0100
	(envelope-from news@myserver.xs4all.nl)

.. but just adding the semicolon is enough to make it rfc2822-compliant.

Mike.




Information forwarded to debian-bugs-dist@lists.debian.org, Peter Pentchev <roam@ringlet.net>:
Bug#650268; Package dma. (Mon, 28 Nov 2011 17:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miquel van Smoorenburg <mikevs@xs4all.net>:
Extra info received and forwarded to list. Copy sent to Peter Pentchev <roam@ringlet.net>. (Mon, 28 Nov 2011 17:09:05 GMT) Full text and rfc822 format available.

Message #10 received at 650268@bugs.debian.org (full text, mbox):

From: Miquel van Smoorenburg <mikevs@xs4all.net>
To: 650268@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: dma: invalid Received: line syntax
Date: Mon, 28 Nov 2011 18:08:20 +0100
tag 650268 +patch
thanks

This probably should go into stable as well, I guess.

Description: Add semicolon before date in received: header
Author: Miquel van Smoorenburg <miquels@cistron.nl>
Last-Update: 2011-11-28

--- a/mail.c	2011-11-28 12:27:29.000000000 +0100
+++ b/mail.c	2011-11-28 13:02:11.077291647 +0100
@@ -174,7 +174,7 @@
 	error = fprintf(bounceq.mailf,
 		"Received: from MAILER-DAEMON\n"
 		"\tid %s\n"
-		"\tby %s (%s)\n"
+		"\tby %s (%s);\n"
 		"\t%s\n"
 		"X-Original-To: <%s>\n"
 		"From: MAILER-DAEMON <>\n"
@@ -452,7 +452,7 @@
 		"Received: from %s (uid %d)\n"
 		"\t(envelope-from %s)\n"
 		"\tid %s\n"
-		"\tby %s (%s)\n"
+		"\tby %s (%s);\n"
 		"\t%s\n",
 		username, getuid(),
 		queue->sender,




Added tag(s) patch. Request was from Miquel van Smoorenburg <mikevs@xs4all.net> to control@bugs.debian.org. (Mon, 28 Nov 2011 17:09:16 GMT) Full text and rfc822 format available.

Reply sent to Peter Pentchev <roam@ringlet.net>:
You have taken responsibility. (Mon, 26 Dec 2011 14:51:11 GMT) Full text and rfc822 format available.

Notification sent to Miquel van Smoorenburg <miquels@cistron.nl>:
Bug acknowledged by developer. (Mon, 26 Dec 2011 14:51:11 GMT) Full text and rfc822 format available.

Message #17 received at 650268-close@bugs.debian.org (full text, mbox):

From: Peter Pentchev <roam@ringlet.net>
To: 650268-close@bugs.debian.org
Subject: Bug#650268: fixed in dma 0.0.2010.06.17-12
Date: Mon, 26 Dec 2011 14:48:19 +0000
Source: dma
Source-Version: 0.0.2010.06.17-12

We believe that the bug you reported is fixed in the latest version of
dma, which is due to be installed in the Debian FTP archive:

dma-migrate_0.0.2010.06.17-12_i386.deb
  to main/d/dma/dma-migrate_0.0.2010.06.17-12_i386.deb
dma_0.0.2010.06.17-12.debian.tar.bz2
  to main/d/dma/dma_0.0.2010.06.17-12.debian.tar.bz2
dma_0.0.2010.06.17-12.dsc
  to main/d/dma/dma_0.0.2010.06.17-12.dsc
dma_0.0.2010.06.17-12_i386.deb
  to main/d/dma/dma_0.0.2010.06.17-12_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 650268@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Pentchev <roam@ringlet.net> (supplier of updated dma package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 26 Dec 2011 16:10:36 +0200
Source: dma
Binary: dma dma-migrate
Architecture: source i386
Version: 0.0.2010.06.17-12
Distribution: unstable
Urgency: low
Maintainer: Peter Pentchev <roam@ringlet.net>
Changed-By: Peter Pentchev <roam@ringlet.net>
Description: 
 dma        - lightweight mail transport agent
 dma-migrate - migration utility for the DragonFly Mail Agent's spool files
Closes: 648369 650265 650268
Changes: 
 dma (0.0.2010.06.17-12) unstable; urgency=low
 .
   * This is hopefully the last upload before the long overdue update of
     dma to a newer upstream release.
   * Fix the syntax of the dfcompat.c entry in debian/copyright.
   * Add the 44-newline patch (upstream rev. 807f777) to allow the last
     input line to not be terminated with a newline character.
     Closes: #648369
   * Add the 45-received patch to fix the format of the Received header.
     Closes: #650268
   * Add the 46-smtp-newline patch to deal with SMTP servers that may
     send a response in more than one TCP packet.  Closes: #650265
   * Amend the 13-hardening patch to also change three instances of
     strncpy() to snprintf() to ensure null-termination.
Checksums-Sha1: 
 9fc8d59cd3d93316a2e18bd4b88124d2e0c464a3 2000 dma_0.0.2010.06.17-12.dsc
 ee7a3fd14bd38d7151d6bae319213f9738108a5c 34855 dma_0.0.2010.06.17-12.debian.tar.bz2
 7dec34784bf30fd950b4049a930e8173691db92f 54386 dma_0.0.2010.06.17-12_i386.deb
 96f661f0aa03763b030aa7b636a0fb3ce12216b7 15718 dma-migrate_0.0.2010.06.17-12_i386.deb
Checksums-Sha256: 
 08de474d41970fc677f5e01e018fdb7a38754144d82a25ef84d86dee695b27f5 2000 dma_0.0.2010.06.17-12.dsc
 486bea048acf77898a1b4f2765313fd2895ad9cdce5889bad584e8d22ddbac49 34855 dma_0.0.2010.06.17-12.debian.tar.bz2
 ecd0628c0caced19cd01665712c0f85e4b4b256571da080d2e58c32be1d82778 54386 dma_0.0.2010.06.17-12_i386.deb
 599466981959fa9f5396cb6133b41486cb62034dc38c1dba3d3758ce3f6e5640 15718 dma-migrate_0.0.2010.06.17-12_i386.deb
Files: 
 23915f72d37b0d4b310f4516c9376719 2000 mail optional dma_0.0.2010.06.17-12.dsc
 4ca7b1707461082d320f65764c62071d 34855 mail optional dma_0.0.2010.06.17-12.debian.tar.bz2
 9d22ddca21248a956c11ab350f3315eb 54386 mail optional dma_0.0.2010.06.17-12_i386.deb
 63e1248aaa7726944deae309e6575a0f 15718 mail optional dma-migrate_0.0.2010.06.17-12_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJO+IJ3AAoJEGUe77AlJ98T2AcP/jXtlk+ov3NU3yn0z0vMR3BX
gCAfwmF5RxlMflMS75+oM68Bemu8FKr0nDx0i7zDiLEbGJ8aGD/ZgleoRP4LDLJO
8EKnXZe2FQAbJV+LYHH4CaWn3bqWd5j04O7u1OB00WfWZbKTs/YeGfDiPdh6owPz
MrH1eypEOOmH4S4Usv1Wm6EMGBJDzIpGQ0awHjjIv6Cu1biMsghg90dCT3aSs1ga
uHNMfv7XDhXjCZzu5J4LAMbabb2ipTMMCeojr1Uj9pi4t87sIpxDnplWj3vxpYOU
T/jIZH689cl5CuEgk6yds+I13d5pIxTbs4qqTbY9JBEc656DUK1FlcBGk9CMfKbR
kRVIhG9cx+33BfbxJ+SzmSbG6iRLn5UrEnb2UGh+RmhAfQdP9XlKqBatDy6g7vlE
jBKeubbwEyeuUxywTO3qlrcPEZWSbBsA0/RnXM49EOprpNtNeNM63QBMkSoyFSW+
IgqUQ+EhrSaAE517XgvUfUb/13woqEkmuWL7z7lTqcuGJKjffuHTQzQ4g5kstvhE
vJTfYXzfAab4IX2tZwoEoGiD2HMb74eAtVV0N5htY/nUfws03MWflzDYB8eOdxzS
R3zqw1KXFf8m0YvknD5HoxVxJ3M3RfDETvyAaZVVXe6OFLAz64kndGjx4VXM5hwO
FpMRhzS4bsRtd1IF/aZ8
=1Ccs
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 03 Feb 2012 07:33:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:42:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.